# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "gnome-desktop-xinux"
version = "0.4.4-patch"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Rust bindings for the GNOME Utility Library "
readme = false
keywords = [
    "gnome",
    "gtk",
]
categories = ["api-bindings"]
license = "MIT"
repository = "https://github.com/xinux-org/desktop"
resolver = "2"

[features]
default = []

[lib]
name = "gnome_desktop_xinux"
path = "src/lib.rs"

[dependencies.ffi]
version = "0.4.4-patch"
package = "gnome-desktop-sys-xinux"

[dependencies.gdesktop_enums]
version = "0.4.4"
package = "gsettings-desktop-schemas-xinux"

[dependencies.gdk-pixbuf]
version = "=0.20.10"

[dependencies.gio]
version = "=0.20.12"

[dependencies.glib]
version = "=0.20.12"

[dependencies.libc]
version = "0.2"
